<!DOCTYPE html>
<html lang="en">
<head>
  <title>Linkedin API usage</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
  <!-- <link rel="stylesheet" type="text/css" href="../styles/create_post.css"> -->

  <link rel="stylesheet" type="text/css" href="../assets/css/emojionearea.css">

  <script type="text/javascript" src="../assets/js/emojionearea.js"></script>

  <style type="text/css">
    .alert {
      display: none;
    }
  </style>
</head>
<body>

<div class="container">
  <div class="w3-container w3-blue w3-brown">
    <h2>Auth flow (Getting Linkedin credentials)</h2>

  </div>
  <br>
  <hr>

<div class="row">
  <div class="col-md-6">
  		<button class="btn btn-success" onclick="openLinkedinAuth()">Open LinkedIn Auth</button>    
  </div>

  <!--   
    <div class="col-md-6">
        <a class="btn btn-danger" href="https://www.linkedin.com/oauth/v2/authorization?response_type=code&client_id=8134hzf84lhzh5&redirect_uri=http%3A%2F%2Frishikesh67.pythonanywhere.com&state=ee11cbb19052e40b07aac0ca060c23ee&scope=w_share">Auth</a>
    </div> 
  -->
</div>
    <div class="alert alert-success" id='linkedin-success'>
      <strong>Success!</strong> Indicates a successful or positive action.
    </div>

    <div class="alert alert-danger" id='linkedin-error'>
      <strong>Error!</strong> Something bad happened
    </div>
</div>

<script type="text/javascript">
	function openLinkedinAuth() {
		alert(window.location);
		alert(window.locationbar);
		console.log(window.location);

		// let w = window.open('https://www.linkedin.com/oauth/v2/authorization?response_type=code&client_id=8134hzf84lhzh5&redirect_uri=http%3A%2F%2Frishikesh67.pythonanywhere.com&state=ee11cbb19052e40b07aac0ca060c23ee&scope=w_share');

    let w = window.open('https://www.linkedin.com/oauth/v2/authorization?response_type=code&client_id=8134hzf84lhzh5&redirect_uri=http%3A%2F%2F127.0.0.1%3A8000%2Fcallback%2F&state=ee11cbb19052e40b07aac0ca060c23ee&scope=w_share');

		console.log('Name of window');
		console.log(w.name);
	}
</script>
</body>
</html>
  
